WebSphere Application Server + WDSCi: UPGRADE v4 to v5 - Websphere

This is a discussion on WebSphere Application Server + WDSCi: UPGRADE v4 to v5 - Websphere ; We are upgrading our WebSphere Application Server and WDSCi from V4.0.7 to V5.x 1) WDSCi After installation of the WDSCi package I successfully moved the WebApplications developed under V4 to the new WDSCi (v5.0.1). After solving some errors which seemed ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: WebSphere Application Server + WDSCi: UPGRADE v4 to v5

  1. WebSphere Application Server + WDSCi: UPGRADE v4 to v5

    We are upgrading our WebSphere Application Server and WDSCi from V4.0.7 to
    V5.x

    1) WDSCi
    After installation of the WDSCi package I successfully moved the
    WebApplications developed under V4 to the new WDSCi (v5.0.1). After solving
    some errors which seemed to be accepted by the preveous release, all
    applications seems to be running fine. They are tested in the 'built-in v4
    test environment' and in a seperate full installation of WebSphere
    Application Server V4.0.7
    1a) errors
    However, following errors are shown in the errorlist:
    description: IWAD0241E The project definitions in the server configuration
    are invalid.
    resource: server-cfg.xml
    In Folder: Servers/defaultConfiguration.wsc
    Location:
    com.ibm.etools.websphere.util.v4.internal.validati on.WASConfigValidator@6e98
    3a5
    and it seems that we get 1 error for each project linked in the
    server-cfg.xml file
    ....
    archiveURL="${WS_EAR_Conti7EAR}">
    modules xmi:type="applicationserver:WebModuleRef" xmi:id="WebModulesRef_16"
    uri="ExpedanStockWeb.war"/>
    ....

    ....
    What is causing this error?

    1b) upgrade v4.x to v4.0.7
    How do I upgrade the 'built-in V4 Test environment' to v4.0.7 (now it is at
    v4.0.4)

    1c) zipCreation
    We used zipCreation to create a jarfile automatically when an object (of a
    company-toolbox) changed.
    It seems that this function is built-in... but I cannot find a reference...
    (looking at the wrong place???)


    2) WebSphere Application Server
    After completing the upgrade (and questions above) of the WDSCi we plan to
    upgrade our WebServer too.
    2a) how to install
    Do we have to install V5 seperately on our iSeries? or can we do an Upgrade
    of v4?

    2b) (re)install webapps
    After installation of V5, I presume we just have to regenerate our EAR(s)
    with indication v5 and install these EAR(s) on the v5 server?






  2. Re: WebSphere Application Server + WDSCi: UPGRADE v4 to v5

    I can attempt to answer your questions under item 2.

    WebSphere Application Server v5 is a separate product from V4.0. You
    will need to install the product and the latest group PTF. See
    http://www-1.ibm.com/servers/eserver...e/wsappserver/
    for information WAS V5, PTFs, documentation, release notes, etc.

    Once you ave installed the product and group PTF, you can migrate your
    V4.0 WAS instance to a V5 WAS instance using the migration tools which
    come with WAS V5. See
    http://publib.boulder.ibm.com/iserie...ration/mig.htm
    for information on migrating from V4.0 to V5. I would strongly suggest
    reading through the migration documentation at least once completely,
    before starting the migration. There is also an article written for
    iSeries Edition which may be of interest:
    http://www.eservercomputing.com/iser...dex.asp?id=786

    The migration tools will do any necessary regeneration and installation
    of EARs from your V4.0 WAS instance into your V5 WAS instance.
    Additionally they will migrate any WAS resources (JDBC providers,
    datasources, etc.) you have in your WAS v4 instance. It is possible that
    you may have some minor changes necessary to your applications. The
    migration documentation linked to above calls out changes which might be
    necessary going from V4 -> V5.

    If you decide not to use the migration tools, you can choose to manually
    create your WAS resources (JDBC Provider, Datasources, etc) and install
    your applications into the WAS V5 instance.

    Patrick Goovaerts wrote:
    > We are upgrading our WebSphere Application Server and WDSCi from V4.0.7 to
    > V5.x
    >
    > 1) WDSCi
    > After installation of the WDSCi package I successfully moved the
    > WebApplications developed under V4 to the new WDSCi (v5.0.1). After solving
    > some errors which seemed to be accepted by the preveous release, all
    > applications seems to be running fine. They are tested in the 'built-in v4
    > test environment' and in a seperate full installation of WebSphere
    > Application Server V4.0.7
    > 1a) errors
    > However, following errors are shown in the errorlist:
    > description: IWAD0241E The project definitions in the server configuration
    > are invalid.
    > resource: server-cfg.xml
    > In Folder: Servers/defaultConfiguration.wsc
    > Location:
    > com.ibm.etools.websphere.util.v4.internal.validati on.WASConfigValidator@6e98
    > 3a5
    > and it seems that we get 1 error for each project linked in the
    > server-cfg.xml file
    > ...
    > > archiveURL="${WS_EAR_Conti7EAR}">
    > modules xmi:type="applicationserver:WebModuleRef" xmi:id="WebModulesRef_16"
    > uri="ExpedanStockWeb.war"/>
    > ...
    >

    > ...
    > What is causing this error?
    >
    > 1b) upgrade v4.x to v4.0.7
    > How do I upgrade the 'built-in V4 Test environment' to v4.0.7 (now it is at
    > v4.0.4)
    >
    > 1c) zipCreation
    > We used zipCreation to create a jarfile automatically when an object (of a
    > company-toolbox) changed.
    > It seems that this function is built-in... but I cannot find a reference...
    > (looking at the wrong place???)
    >
    >
    > 2) WebSphere Application Server
    > After completing the upgrade (and questions above) of the WDSCi we plan to
    > upgrade our WebServer too.
    > 2a) how to install
    > Do we have to install V5 seperately on our iSeries? or can we do an Upgrade
    > of v4?
    >
    > 2b) (re)install webapps
    > After installation of V5, I presume we just have to regenerate our EAR(s)
    > with indication v5 and install these EAR(s) on the v5 server?
    >
    >
    >
    >
    >



  3. Re: WebSphere Application Server + WDSCi: UPGRADE v4 to v5

    1a) I can just think about define the Server again from scratch. It
    seems the Server validator has some changes.

    1b) You can install WAS fixes on WSAD internal WAS like you do in the
    real one. You can follow the steps detailed in this article as an example:


    http://www-106.ibm.com/developerwork.../robinson.html

    Go directly to topic: Upgrading the WebSphere Studio Test Environment to
    WebSphere 4.03

    1c) Now you can open the EAR Deployment Descriptor and add a Project
    Utility JAR (under module tab). It will have the same effect that the
    old zipCreation plugin.

    Hope this helps,

    Chemi.

    Patrick Goovaerts wrote:

    >We are upgrading our WebSphere Application Server and WDSCi from V4.0.7 to
    >V5.x
    >
    >1) WDSCi
    >After installation of the WDSCi package I successfully moved the
    >WebApplications developed under V4 to the new WDSCi (v5.0.1). After solving
    >some errors which seemed to be accepted by the preveous release, all
    >applications seems to be running fine. They are tested in the 'built-in v4
    >test environment' and in a seperate full installation of WebSphere
    >Application Server V4.0.7
    >1a) errors
    >However, following errors are shown in the errorlist:
    >description: IWAD0241E The project definitions in the server configuration
    >are invalid.
    >resource: server-cfg.xml
    >In Folder: Servers/defaultConfiguration.wsc
    >Location:
    >com.ibm.etools.websphere.util.v4.internal.validati on.WASConfigValidator@6e98
    >3a5
    >and it seems that we get 1 error for each project linked in the
    >server-cfg.xml file
    >...
    > >archiveURL="${WS_EAR_Conti7EAR}">
    >modules xmi:type="applicationserver:WebModuleRef" xmi:id="WebModulesRef_16"
    >uri="ExpedanStockWeb.war"/>
    >...
    >

    >...
    >What is causing this error?
    >
    >1b) upgrade v4.x to v4.0.7
    >How do I upgrade the 'built-in V4 Test environment' to v4.0.7 (now it is at
    >v4.0.4)
    >
    >1c) zipCreation
    >We used zipCreation to create a jarfile automatically when an object (of a
    >company-toolbox) changed.
    >It seems that this function is built-in... but I cannot find a reference...
    >(looking at the wrong place???)
    >
    >
    >2) WebSphere Application Server
    >After completing the upgrade (and questions above) of the WDSCi we plan to
    >upgrade our WebServer too.
    >2a) how to install
    >Do we have to install V5 seperately on our iSeries? or can we do an Upgrade
    >of v4?
    >
    >2b) (re)install webapps
    >After installation of V5, I presume we just have to regenerate our EAR(s)
    >with indication v5 and install these EAR(s) on the v5 server?
    >


+ Reply to Thread